Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001977TestLinkRequirement Managementpublic2009-01-13 14:472009-01-20 05:19
Reporteramitkhullar 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 2 
Fixed in Version1.8 RC 3 
Summary0001977: Incorrect variable name in form submit of resultsReq.tpl file
DescriptionThe code snippet below used the variable name idSRS to pass the requirement Spec id to the page on form submit when the combo box value changes in report but the resultsReq.php page is expecting a variable req_spec_id from session request.
    $args->req_spec_id = isset($_REQUEST['req_spec_id']) ? $_REQUEST['req_spec_id'] : null;

-----------------------------------------------------------Line 40
          <select name="idSRS" onchange="form.submit()">
          {html_options options=$gui->reqSpecSet selected=$gui->req_spec_id}
      </select></td></tr>
------------------------------------------------------------ replace with below
          <select name="req_spec_id" onchange="form.submit()">
          {html_options options=$gui->reqSpecSet selected=$gui->req_spec_id}
      </select></td></tr>
------------------------------------------------------------
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon resultsReqs.zip [^] (1,515 bytes) 2009-01-14 21:02

- Relationships

-  Notes
(0004996)
fman (administrator)
2009-01-14 00:18

get last code from CVS and retest
(0004999)
amitkhullar (reporter)
2009-01-14 12:48

I have checked it , it still shows idSRS as variable name and thus doesnt work.

Amit
(0005002)
fman (administrator)
2009-01-14 21:00

OK, fixed

- Issue History
Date Modified Username Field Change
2009-01-13 14:47 amitkhullar New Issue
2009-01-14 00:18 fman Note Added: 0004996
2009-01-14 00:18 fman Status new => assigned
2009-01-14 00:18 fman Assigned To => fman
2009-01-14 00:18 fman Status assigned => feedback
2009-01-14 12:48 amitkhullar Note Added: 0004999
2009-01-14 21:00 fman Note Added: 0005002
2009-01-14 21:02 fman File Added: resultsReqs.zip
2009-01-16 19:21 fman Status feedback => resolved
2009-01-16 19:21 fman Fixed in Version => next development 1.8 RC3
2009-01-16 19:21 fman Resolution open => fixed
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker